Changeset 42533 in spip-zone


Ignore:
Timestamp:
Nov 26, 2010, 8:24:16 PM (10 years ago)
Author:
eric@…
Message:

Pas de validation xml possible en SPIP 2.0

File:
1 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/boussole/inc/deboussoler.php

    r42429 r42533  
    144144
    145145        include_spip('inc/distant');
     146        include_spip('inc/plugin');
    146147        $ok = true;
    147148
    148149        // On verifie la validite du contenu en fonction de la dtd
    149150        $valider_xml = charger_fonction('valider', 'xml');
     151        // -- Compatibilite SPIP 2.0 : pas possible de verifer, on renvoie systematiquement true
     152        if (spip_version_compare($GLOBALS['spip_version_branche'], '2.1', '<'))
     153                return $ok;
     154        // -- En SPIP >= 2.1 on peut effectuer la validation
    150155        $retour = $valider_xml(recuperer_page($url));
    151156        if ($retour[1] === false) {
Note: See TracChangeset for help on using the changeset viewer.